#include <stdio.h>
#include <stdlib.h>

#include "DSTDecoder.h"
#include "include/libdtsdec.h"


extern "C" __declspec(dllexport) void clean(CDSTDecoder *decoder) {
    if (decoder) {
        delete decoder;
    }
}

extern "C" __declspec(dllexport) CDSTDecoder* create_new() {
    CDSTDecoder *decoder = new CDSTDecoder();
    return decoder;
}

extern "C" __declspec(dllexport) void init(CDSTDecoder *decoder, int channels, int fs44) {
    decoder->init(channels, fs44);
}

extern "C" __declspec(dllexport)int decode(CDSTDecoder *decoder, uint8_t* DSTFrame, int frameSize, uint8_t* DSDFrame){
    return decoder->decode(DSTFrame, frameSize, DSDFrame);        
}    